### Signal

# Peas ExtensionSet::extension-removed

#### Declaration

    void
    extension_removed (
      PeasExtensionSet* self,
      PeasPluginInfo* info,
      GObject* exten,
      gpointer user_data
    )

#### Description [src]

Emitted when a new extension is about to be removed from the `PeasExtensionSet`.

It happens when a plugin implementing the extension set’s extension type is unloaded, or when the `PeasExtensionSet` itself is destroyed.

You should connect to this signal in order to clean up the extensions when their plugin is unload. Note that this signal is not fired for the `PeasExtension` instances still available when the `PeasExtensionSet` instance is destroyed. You should clean those up by yourself.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the function.

`exten`

  Type: `GObject`

  A `PeasExtension`.

  The data is owned by the caller of the function.